/*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

/*!
 * \file $RCSfile$
 * \version $Revision: 165177 $
 * \date $Date:: 2017-10-26 13:15:08 +0300#$
 * \author $Author: frolov $
 *
 * \brief Получение случайного числа.
 *
 * Проект: интерфейс к датчикам случайных чисел (RNDM).
 *
 * Собственно функция получения случайного числа.
 *
 * Функция: rndm
 */

#include "rndm_prj.h" 


DWORD rndm(TSupSysEContext *context, size_t length, void *info)
{
    TSupSysInfoUntyped rndm_info;
    if(context == NULL || (info == NULL && length != 0))
	return (DWORD)ERROR_INVALID_PARAMETER;
    if( !length )
	return ERROR_SUCCESS;
    rndm_info.info = info;
    rndm_info.length = length;
    return
	supsys_call( context, RANDOM_FUN_RNDM, &rndm_info);
}
